> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salesnip.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single session



## OpenAPI

````yaml get /v1/sessions/{sessionId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: SaleSnip API
servers:
  - url: https://api.salesnip.com
    description: SaleSnip Production API
security: []
paths:
  /v1/sessions/{sessionId}:
    get:
      tags:
        - Sessions
      summary: Get a single session
      parameters:
        - schema:
            type: string
            minLength: 1
            description: The unique ID of the session.
            example: session_abcdefghjijklmnop
          required: true
          name: sessionId
          in: path
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: >-
                      The unique ID of the session. You can use this to open
                      SaleSnip as a widget.
                    example: session_abcdefghjijklmnop
                  project:
                    type: string
                    description: >-
                      The id of the SaleSnip project for this session. You can
                      locate your project ID in the SaleSnip dashboard under the
                      'Keys' tab on the project level.
                    example: project_abcdefghjijklmnop
                  url:
                    type: string
                    description: >-
                      The hosted URL of the session. You can redirect users to
                      this URL to use SaleSnip in a standalone mode.
                    example: https://chat.salesnip.com/#abcdefghjijklmnop
                  status:
                    type: string
                    enum:
                      - ACTIVE
                      - COMPLETE
                    description: >-
                      The status of the session. This will be "COMPLETE" if the
                      user pressed an "Accept" button. This can be safely
                      ignored if you don't want to force users to accept the
                      session.
                    example: ACTIVE
                  currency:
                    type: string
                    enum:
                      - AED
                      - AFN
                      - ALL
                      - AMD
                      - ANG
                      - AOA
                      - ARS
                      - AUD
                      - AWG
                      - AZN
                      - BAM
                      - BBD
                      - BDT
                      - BGN
                      - BHD
                      - BIF
                      - BMD
                      - BND
                      - BOB
                      - BRL
                      - BSD
                      - BTN
                      - BWP
                      - BYN
                      - BZD
                      - CAD
                      - CDF
                      - CHF
                      - CKD
                      - CLP
                      - CNY
                      - COP
                      - CRC
                      - CUC
                      - CUP
                      - CVE
                      - CZK
                      - DJF
                      - DKK
                      - DOP
                      - DZD
                      - EGP
                      - EHP
                      - ERN
                      - ETB
                      - EUR
                      - FJD
                      - FKP
                      - FOK
                      - GBP
                      - GEL
                      - GGP
                      - GHS
                      - GIP
                      - GMD
                      - GNF
                      - GTQ
                      - GYD
                      - HKD
                      - HNL
                      - HRK
                      - HTG
                      - HUF
                      - IDR
                      - ILS
                      - IMP
                      - INR
                      - IQD
                      - IRR
                      - ISK
                      - JEP
                      - JMD
                      - JOD
                      - JPY
                      - KES
                      - KGS
                      - KHR
                      - KID
                      - KMF
                      - KPW
                      - KRW
                      - KWD
                      - KYD
                      - KZT
                      - LAK
                      - LBP
                      - LKR
                      - LRD
                      - LSL
                      - LYD
                      - MAD
                      - MDL
                      - MGA
                      - MKD
                      - MMK
                      - MNT
                      - MOP
                      - MRU
                      - MUR
                      - MVR
                      - MWK
                      - MXN
                      - MYR
                      - MZN
                      - NAD
                      - NGN
                      - NIO
                      - NOK
                      - NPR
                      - NZD
                      - OMR
                      - PAB
                      - PEN
                      - PGK
                      - PHP
                      - PKR
                      - PLN
                      - PND
                      - PRB
                      - PYG
                      - QAR
                      - RON
                      - RSD
                      - RUB
                      - RWF
                      - SAR
                      - SBD
                      - SCR
                      - SDG
                      - SEK
                      - SGD
                      - SHP
                      - SLL
                      - SLS
                      - SOS
                      - SRD
                      - SSP
                      - STN
                      - SVC
                      - SYP
                      - SZL
                      - THB
                      - TJS
                      - TMT
                      - TND
                      - TOP
                      - TRY
                      - TTD
                      - TVD
                      - TWD
                      - TZS
                      - UAH
                      - UGX
                      - USD
                      - UYU
                      - UZS
                      - VED
                      - VES
                      - VND
                      - VUV
                      - WST
                      - XAF
                      - XCD
                      - XOF
                      - XPF
                      - YER
                      - ZAR
                      - ZMW
                      - ZWB
                      - ZWL
                    description: >-
                      The ISO 4217 currency code to be used throughout the
                      negotiation. This will be used for all products.
                    example: USD
                  products:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Your unique ID of the product.
                          example: your_product_id
                        name:
                          type: string
                          description: The name of the product.
                          example: Product Name
                        description:
                          type: string
                          description: >-
                            A short description of the product that helps the AI
                            to understand the product. Try to keep it short and
                            concise, but include the most important information.
                          example: Product Description
                        image:
                          type: string
                          description: The public URL of the product image.
                          example: https://example.com/product.png
                        price:
                          type: object
                          properties:
                            current:
                              type: number
                              description: >-
                                The current price of the product per unit. Make
                                sure to start the payment process with this
                                price multiplied by current quantity.
                              example: 90
                            initial:
                              type: number
                              description: The initial price of the product per unit.
                              example: 100
                            minimum:
                              type: number
                              description: >-
                                The minimum price of the product that can be
                                negotiated per unit.
                              example: 80
                          required:
                            - current
                            - initial
                            - minimum
                        quantity:
                          type: object
                          properties:
                            current:
                              type: number
                              description: >-
                                The current quantity of the product. If enabled,
                                the user is able to change the quantity through
                                the session. Make sure to multiply the current
                                quantity by the current price to get the total
                                price.
                              example: 1
                            initial:
                              type: number
                              description: >-
                                The initial quantity of the product. Defaults to
                                1.
                              example: 1
                            minimum:
                              type: number
                              description: >-
                                The minimum quantity of the product that can be
                                negotiated. Defaults to 1.
                              example: 1
                            maximum:
                              type: number
                              description: >-
                                The maximum quantity of the product that can be
                                negotiated. Defaults to 100000.
                              example: 100000
                          description: The quantity of this product.
                        recurring:
                          type: object
                          properties:
                            unit:
                              type: string
                              enum:
                                - SECOND
                                - MINUTE
                                - HOUR
                                - DAY
                                - WEEK
                                - MONTH
                                - YEAR
                              description: >-
                                The payment interval, if the product is a
                                subscription.
                              example: MONTH
                            count:
                              type: number
                              description: >-
                                Indicates the number of units in each billing
                                interval. For example, a value of 2 with a unit
                                of week means that the subscription will be
                                billed every two weeks. This defaults to 1.
                              example: 6
                          required:
                            - unit
                          description: >-
                            The payment interval, if the product is a
                            subscription.
                        trial:
                          type: object
                          properties:
                            unit:
                              type: string
                              enum:
                                - SECOND
                                - MINUTE
                                - HOUR
                                - DAY
                                - WEEK
                                - MONTH
                                - YEAR
                              description: The unit of time for the trial period.
                              example: MONTH
                            count:
                              type: number
                              description: >-
                                The number of interval units that make up the
                                trial period. For example, a value of 2 with a
                                unit of week means that the trial period will
                                last for two weeks. This defaults to 1.
                              example: 6
                          required:
                            - unit
                          description: The trial period, if the product is a subscription.
                        metadata:
                          type: object
                          properties: {}
                          description: Custom metadata to be included with the product.
                          example:
                            description: This is a description of the product
                      required:
                        - id
                        - name
                        - price
                    description: >-
                      The array of all active products in the session. Make sure
                      to start the payment process with all products included in
                      this array.
                  metadata:
                    type: object
                    properties: {}
                    description: Custom metadata to be included with the session.
                    example:
                      some_important_info: SaleSnip is awesome!
                required:
                  - id
                  - project
                  - url
                  - status
                  - currency
                  - products
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - Invalid Api-Key
                      - X-Api-Key header not specified
                    description: The error message.
                    example: X-Api-Key header not specified
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                required:
                  - error
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````